2022-08-11  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * nsf.c (Nsf_ObjSetVar2): Address the maybe-uninitialized warnings.
        I do not really like the approach based on pragmas, but i do even
        less like the warnings, when compiled with -pedantic [c8791939]

2022-08-10  Gustaf Neumann  <neumann@wu-wien.ac.at>

        *Announce2.4.0: Tested with recent MongoDB (server 5.0.9, driver 1.22.1)
        [f20c1eaf]

        * nsf.c (VarHashTableCreate, DStringAppendQualName)
	(NewTclCommand): Reduced compiler warnings when compiling against
	Tcl 8.6* with TIDY settings. [286401d1]

        * nsf.c (ObjectDispatch): Deactivate block for double-checking
	cached data for Tcl commands. Leave the code for potential future
	debugging purposes. [4808f8e3]

2022-08-09  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * next-tutorial.txt: Improve spelling [dc9c6c5d]

        * ChangeLog-2.3.0-2.4.0.log, Announce2.0b3, Announce-1.3.5:
	Improve spelling [e2998b4f]

2022-08-09  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * next-tutorial, next-migration: Fix version number [51fc6ac1]

        * mkIndex.tcl: Have mkIndex produce package-provide compliant
	ifneeded scripts [5bd3de95]

        * Makefile.in, configure: Re-worked pkgIndex.tcl handling [aa25ce85]

        * README.release: Document changes to doc pipeline [8f63a682]

        * doc/: Re-generated man pages and tutorials [f63b1bb9]

        * Makefile.in, doc/*.css: Replace prince with Chrome headless for
	PDF doc generation, PDF-specific CSS now organized as @media print
	queries. [6f2b5aab]

2022-08-08  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * doc/Announce2.4.0: Cont'd [skip ci]
        [297884f8]

        * ChangeLog-2.3.0-2.4.0.log: Added entries since late Jan 2021 [skip ci]
        [af95cd6e]

2022-08-07  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* tcl86.test, nsf-cmd.test, forward.test, destroy.test: Make sure
	to run all 8.6+/ 8.7+ specific tests also under Tcl 9
	[982b1e8d]

2022-08-06  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* rules.vc: Have TCL_MAJOR_VERSION properly picked up from newer
	tcl.h via nmakehlp [d55aa4b7]

	* makefile.vc: Make sure Tcl 9 handles TIP-595 guessing of the
	_Init function, avoid third argument to load [58a12e0d]

2022-07-31  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsfDebug.c, nsfPointer.c: Minor polishing [9f2bb394]

2022-07-29  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* build.tcl: Turn on debugging (AppVeyor) [e4569ae5, 0f2f3c4f,
	c18dacc8, 584687ed]

2022-07-29  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.tcl: Turn on debugging (AppVeyor) [b59caea3, 01ff609d,
	a0d10764, 58cb7088, 64ce7231]; try using 7z instead of internal
	unpacking [00ac4c06]

2022-07-29  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsfAccessInt.h: Fix comment [58c09af3]

	* mongodb/m4/tcl.m4, tcl.m4: Revert back to earlier version of tcl.m4;
	The version from head is not yet ready [d1bea33b]

	* configure, mongodb/configure: Re-generated files [52070e0d]

2022-07-29  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.tcl: Turn on more debugging output [dd6a0a0b]

2022-07-29  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* mongodb/README.md: update README for mongoDB interface
	[20b47273]

	* mongodb/configure: re-generated file [28349668]

	* Makefile.in: Fix line break [bbb3b835]

	* tcl.m4, mongodb/m4/tcl.m4: Updated with upstream versions of
	tcl.m4 [1ddf01fe, a817b85f, 3137543b, afda2d90]

	* nsfStubLib.c (Nsf_InitStubs): Fix compilation hickups for Tcl
	8.5 [8c0fd2cd]

2022-07-27  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.h, nsfInt.h: Reduce warnings from redefined constants [fc37052d]

	* configure, mongodb/configure: Re-generated files [fb1613b4]

	* Makefile.in: Don't include "package provide" Tcl command in
	pkgIndex.tcl file, since the binary performs the provide operation
	[86365e57]

	* mkIndex.tcl: Exclude pkgIndex.tcl from searched files,
	whitespace changes [e2825dd0]

2022-07-27  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* Makefile.in: Pack Tcl version into name for Tcl 9.* With Tcl 9,
	it is possible to install NSF for 8.7 and 9.0 in parallel, in the same
	directories. The trick is naming the shared library
	"libtcl9nsf2.4.0.so" instead of "libnsf2.4.0.so" when compiled
	with Tcl 9.0 (keeping the original name when compiled with Tcl
	8.x).  Many thanks to Jan Nijtmans for the patch. [0b577d09]

2022-07-20  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* appveyor.yml: Allow failures on trunk builds [a0e21882]

2022-07-17  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.yml: Remove build jobs for 8-7-a3 (GH and AppVeyor); add
	trunk builds for win (AppVeyor) [9a007250]

2022-07-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* build.yml: Added GitHub event for workflow dispatches
	[42704e31]; cosmetic change to trigger workflow run [d661abd3];
	added build for tcl9 under macOS [8515b3d2]; added build for Tcl 9 (branch trunk)
	[1b526520]

	* nsfAccessInt.h: Fix typo [5e66d95c]

	* nsf.h, nsfAccessInt.h: Improve compatibility with core-8 branch
	[2db70d13]; fix for Tcl versions having Tcl_LibraryInitProc()
	already defined (core-8-branch) [4501d2e2]

	* object-system.test: Report Tcl version at the begin of
	regression test to ease reading output of Git workflows [f546d287]

	* nsf.h: Provide compatibility for core-8-7-a3 [e7b25cd9]

	* nsfAccessInt.h: fix compatibility with earlier versions of Tcl 8.7
	[1a327d6a]

	* nsf.c (ParseContextExtendObjv, AssertionCheck, ListMethod)
	(NsfMethodPropertyCmd, NsfCurrentCmd, NsfRelationSetCmd),
	nsfInt.h: Improve cleanness of compilation under gcc-11+ and
	"-pedantic" + -Wextra" [958b24f9]

2022-07-05  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* Makefile.in, generic/nsf*.c, generic/nsf*.h, generic/stubs9.0/*, nsfmongo.c: Added
	support for compiling with Tcl 9.0 (Many Thanks to Jan Nijtmans
	for first steps) This version compiles cleanly at least with Tcl
	8.6.* and Tcl 9.0 (fossil main) having -pedantic and -Wextra defined. [e48161ab]

2022-04-29  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* ChangeLog-2.3.0-2.4.0.log: Adding changelog entries since July/ August 2021.
	[9b3cf1ba]

2022-01-22  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* next-migration.txt, next-tutorial.txt: Improve spelling [a1996616]

	* nsf.c (NsfParseArgsCmd): Cleanup to avoid memory leak in cases
	the Tcl_DictObjPut fails [e3f1c112]

2022-01-21  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (NsfParseArgsCmd): Added option "-asdict" to
	nsf::parseargs. The new option makes it easier to process the
	parsed argument in different contexts [b2781b9d]

2022-01-18  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * build.yml, appveyor.yml: Bumps to 8.6.12 and 8.7a5
        [96f4eb32]

2022-01-03  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * nsf.c (ListMethodKeys), nx.tcl, class-method.test, methods.test,
	plain-object-method.test: Include alias to object in "info methods
	-path" Previously, it was not possible to define an alias to an
	object for NaviServer, since it was not returned by "info methods
	-path" and was, therefore, not included into the blueprint. Extended
	regression tests. [40b842e5]

2021-12-03  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * nsf.c (CallStackDoDestroy): Improve function description [344ce3ff]

2021-10-16  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * object-system.test: Fix broken test [8fe8acb5]

2021-10-12  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * nsfAccessInt.h (TclFreeIntRep): A recent name reform requires an
	explicit define for backwards compat. [7645e8f8]

        * nx-zip.tcl: Add closing paren in comment [8bb94eca]

2021-10-08  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * nx-zip.tcl (writeToZipFile): 'writeToStream' requires a command
	prefixed defined by an object variable 'writer'. In a direct call
	on 'writeToZipFile', this variable was not defined. Thanks to
	Héctor Romojaro for the catch and patch. [2a99a6a1]

2021-09-01  Gustaf Neumann  <neumann@wu-wien.ac.at>
s
        * nx-zip.tcl: Use buffered ns_connchan for writing to slow
	channels for handling partial write operations properly [d82ed6ca]

2021-08-23  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * Makefile.in: Make it possible to pass "CFLAGS_OPTIMIZE=..." to
	Makefile [379ac9a3]

2021-08-12  Gustaf Neumann  <neumann@wu-wien.ac.at>

        * nsf.c, nsf.h (NsColonVarResolver): Remove relatively costly
	asserts when not in development mode [f01f68ea]

2021-07-26  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * README.release: Complete description of vagrant setup
        [f826efe9]

2021-07-25  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * nsf.c (ObjectDispatch): Fix another invalid read of a cached cmd
	structure (NsfColonCommandContext) [da6d8cc3]

2021-07-24  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * nsf.c (NsfUnsetTrace, VolatileMethod): Plug a post-mortem
	memleak related to volatile objects (The Tcl_Obj carrying an
	auto-qualified object name was not cleaned up properly during
	interp shutdown because the matching decrement operations used to
	be disabled during shutdown.) [fc14b058]

        * nsf.c (ObjectDispatch): Fix invalid read as indicated by
	valgrind by guarding access to intrep.
        [a6e4b1ad]

        * README.release: Describe valgrind via vagrant procedure
        [304b0654]

2021-07-23  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

        * nsf.c (ObjectDispatch): First attempt to fight valgrind warning
	on cond/uninitialized jump [f4077b42]

        * ChangeLog-2.3.0-2.4.0.log: Completed changelog work [a3149d6b]

2021-07-21  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* README.release: Add note on using gnulibs' gitlog-to-changelog
	[999de5b9]

2021-07-14  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nx-zip.tcl: Added support for returning streaming zip files via
	HTTPS. The old version was just replying via ns_write, which can be
	only used for plain TCP connections (no TLS). [4f198095]

2021-07-08  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (MakeProc): Fixed false positive from facebook infer 1.1.0
	[2b630211]

2021-06-23  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* ChangeLog-*.log: Improved spelling [b431d2c0]

	* nsf.c: Reduced warnings from clang12 static checker (null value
	passed to non-null arguments, dead assignment, ...)
	[e791865c]

2021-06-09  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.yml, appveyor.yml: Add 8.7a5 branch to build matrices. [2a01cc6f]

	* nsf.c (Nsf_Init): Plumb a small memory leak due to not clearing
	mp_int data. Make sure _not_ to use mp_clear (TIP 538). [5338fea8]

	* ChangeLog-2.3.0-2.4.0.log, Announce2.4.0: Continued work on
	release files [63b2e82e]

2021-06-05  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsfmongo.c, nsf.c: Update copyright dates [6b1f85df]

	* nsfmongo.c: Minor cleanup: reduce strlen operations, reduce
	hard-coded constants, perfer Tcl_Obj based interfaces of string
	based ones (opens opportunities for special objtypes) [725dc72f]

2021-05-25  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (ParamOptionParse): Do not support predefined parameter
	options spelled with trailing content This change makes argument
	type checking more strict by rejecting names as synonyms which are
	longer than the specified values.  Background: Previous versions
	did not handle cases correctly where an application type name
	starts with the same characters as a built-in type. So it was not
	possible to define a type "object_id", since a a spec of the form
	"x:object_id" was interpreted as "x:object". [9bc1a996]

2021-05-13  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.yml: clang 11 is default on macos-latest runners; add
	remaining macos configs [f29f3c69]

	* build.yml: Fix expressions [cf79aef0]

	* build.yml: Remove artifacts from workflow [4f7b34fe]

	* build.yml: Added initial GitHub Actions workflow enabling Linux
	and macOS builds [e372b812]

2021-05-12  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* appveyor.yml: Bump build matrix to include the tag 8.6.11
	[7bb2abc4]

2021-05-11  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nsfAccessInt.h (TclIsCommandDeleted), nsf.c, nsfObj.c: More
	recent Tcl 8.7 (starting Sep 2020) has replaced the macro
	CMD_IS_DELETED by CMD_DYING. [e01e3055]

2021-05-05  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nsf.c (ParamOptionParse): Simplify option parsing for
	substdefault; Tcl_GetInt knows how to handle 0b binary constants,
	no expr call needed. [9e705a33]

	* nsf.c (VolatileMethod): Save a little by checking first chars
	[eb3b441c]

2021-05-02  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nsf.c (VolatileMethod), volatile.test: Fix volatile for XOTcl 2:
	frame skipping must be limited to configure, otherwise, for self
	calls (e.g., 'my volatile'), the sentinel variable plus unset
	trace become created in the wrong callframe context (leading to
	corruption of any non-proc callframe); added test cases
	[3916bf00]

2021-02-17  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsfProfile.c (NsfProfileDebugExit): Fix provided length values
	for string arguments [460ae16a]

2021-02-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nx.tcl: Whitespace cleanup (replace tabs) [75f60be7]

	* nx.tcl: Make warning message more precise about unexpected slot
	structures during delete [473a993c]

2021-01-03  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* Makefile.in: Added target for clang-tidy, fine-tuning of compile flags
	[e3c98331]

	* generic/nsf.c, generic/nsf.h, generic/nsfAPI.decls,
	generic/nsfAPI.h, generic/nsfInt.h, library/mongodb/mongoAPI.h:
	Added enumeration values [f0f87b41]

	* gentclAPI.tcl: Added support for enumeration values replaced
	anonymous arrays by dicts [91a7b7d1]

2021-01-02  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* generic/gentclAPI.tcl, generic/nsfAPI.h: Improve type safety of
	generated code [deed56d5]

	* generic/*/*.h: Reduced usage of reserved identifiers:
	cert-dcl37-c, cert-dcl51-cpp [65d1c0f8]

	* generic/aolstub.c, generic/asm/asmAssembleTemplate.c,
	generic/asm/nsfAsmAssemble.c, generic/nsf.c, generic/nsfObj.c,
	generic/nsfProfile.c, generic/nsfStack.c: Improve comments and spelling
	[84ebec01]

	* generic/*/*.c: Improve regularity and linebreaking in comments,
	mostly in function headers [42dbfd5d]

2021-01-01  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* generic/*/*.c: Whitespace changes: more consistent indentation of comments
	[83e2a1bc]

	* doc/next-migration.txt, doc/next-tutorial/next-tutorial.txt,
	generic/predefined_part1.tcl, generic/predefined_part2.tcl:
	Improve spelling [18b65162]

2020-10-28  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (ObjectDispatch): Add one more test to sanity check
	[a4cc4075]; added debugging output for a case, where a Tcl cmd
	looks perfectly fine, but its procPtr (scripted cases) contains
	invalid data [57eb831d]

	* nx.tcl: Reduce debugging output [226d979a]

2020-10-27  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, nsf.h, nsfInt.h, nsfStubLib.c: Make clean compile, when
	TRACE flags are defined
	[a422e30c]

2020-10-21  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (MethodDispatchCsc, ComputeLevelObj): Reduce verbosity,
	silence checker [77a6f178]

	* doc/*.man: Improve spelling [be71d48c]

	* nsf.c (NsfDebugGetDict): Use memmove() instead of strncat()
	since the former supports overlapping buffers. [c72f84a5]

2020-08-31  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (Nsf_Init): Do not try to initialize Tcl_TomMath_InitStubs when
	TCL_MAJOR_VERSION > 8 || TCL_MINOR_VERSION > 6 [4bd7db4e]

	* nsf.c (Nsf_ConvertToInt32): Include for Tcl 8.5 tclTomMath.h to
	define the mp_int type [61c07a2b]; check, if the flag MP_INT_DECLARED
	is defined in 8.7* builds [f3258689]

	* nsf.c (Nsf_ConvertToInteger): Avoid creation of
	Tcl_NewBignumObj() when argument is already of the bignum type
	[9d4daad1];  added mp_int type definion for Tcl >= 8.7
	see:
	https://core.tcl-lang.org/tcl/tktview/4663e0636f7a24b9363e67c7a3dd25e9e495be17 [e157ce6c]; getting rid of mp_free (we still need the type for mp_int)
	[0e957261]

2020-08-30  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* win/rules.vc: Starting with recent 8.7, there is no 't' suffix
	appended to binaries and libs anymore, to indicate a threaded
	build. [c5097786]

2020-08-28  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* appveyor.yml: Use newer VS image
	[77053610, 9647540c, 7c4a1425,d8bc09f6, db9147b0,8d4ac524]

2020-08-19  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* README.profile: Added readme document on profiling
	[e40a0652]

	* Connection.xotcl, xodoc.xotcl: Improve spelling
	[dc6b2eb2]

	* slottest.xotcl, testx.xotcl: Avoid overly short method names
	[c493c042]

2020-08-07  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/next-tutorial/next-tutorial.txt, generic/asm/nsfAssemble.c,
	generic/nsfError.c: Improve spelling [d25e6ec7]

2020-07-02  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/example-scripts/per-object-mixins.tcl,
	doc/example-scripts/rosetta-add-variable.tcl,
	doc/example-scripts/rosetta-multiple-distinct.tcl,
	doc/next-migration.txt, doc/next-tutorial/next-tutorial.txt,
	generic/nsf.c, generic/nsfInt.h, generic/nsfStack.c,
	library/lib/nx-shell.tcl, library/lib/nx-zip.tcl,
	library/mongodb/nsfmongo.c, library/mongodb/tests/nsf-gridfs.test,
	library/serialize/serializer.tcl, tests/alias.test,
	tests/disposition.test, tests/doc.test, tests/methods.test,
	tests/parameters.test, tests/shells.test, tests/tcloo.test:
	Improve spelling by moving closer to the Linux documentation
	recommendations [78c12b94]

	* Makefile.in, library/mongodb/Makefile.in: Reduce useless output
	of "make test" [754d1562]

2020-06-11  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/next-migration.txt, doc/next-tutorial/next-tutorial.txt,
	library/lib/make.tcl, tests/parameters.test: Improve spelling [30864532]

2020-05-29  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nsf.c (Nsf_ConvertToInteger): Use Jan's hot fix
	TCL_NO_TOMMATH_H, not yet integrated into Tcl's 8.7 branch.
	[0aae1296]

2020-05-15  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* build.tcl: Force use of internal libtommath (TIP 538) in 8.7 builds
	[5a80e290]

	* .travis.yml: Bump Travis macOS image and use gcc-9
	[6259567b]

2020-03-21  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (NsfMethodAliasCmd, ProtectionMatches): Make sure,
	variable is always initialized [6ef097d5, 053960da]

2020-03-09  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* generic/nsf.c, generic/nsfEnumerationType.c,
	generic/nsfPointer.c, generic/nsfStack.c, tests/methods.test,
	tests/nsf-cmd.test, tests/parameters.test: Improve spelling [5bcb005e]

2020-02-18  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* generic/nsf.c, library/lib/nx-zip.tcl: Improve spelling
	[10011595]

2020-02-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* xotcl2.tcl: Add object level method "dict" similar to "array"
	for larger symmetry of commands [34c85637]

2019-12-09  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/example-scripts/rosetta-constraint-genericity.tcl,
	doc/example-scripts/rosetta-delegates.tcl,
	doc/example-scripts/ruby-mixins.tcl, doc/next-migration.txt,
	doc/next-tutorial/next-tutorial.txt, generic/nsf.c,
	library/xotcl/library/xotcl2.tcl: Improve spelling [a11d866d]

	* nsfDebug.c (NsfStackDump): Remove redundant tests
	[a77455e1]

2019-11-25  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* .travis.yml, appveyor.xml: Updates to build descriptors
	(incl. new Tcl release tags)
	[d2a20690, e1be9ee9, 9808a2f3]

2019-11-21  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* library/nx/nx.tcl, library/xotcl/doc/langRef.xotcl,
	library/xotcl/tests/slottest.xotcl,
	library/xotcl/tests/testx.xotcl: Improve spelling [cd6385e4]

2019-11-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/Object.3, library/mongodb/tests/nsf-mongo.test,
	library/mongodb/tests/nx-mongo.test,
	library/xotcl/apps/utils/xo-daemon,
	library/xotcl/doc/Announce-1.3.6,
	library/xotcl/doc/Announce-1.4.0,
	library/xotcl/library/comm/Access.xotcl,
	library/xotcl/library/comm/PCache.xotcl, tests/alias.test,
	tests/parameters.test: Improve spelling [f10f6e08]

	* nsf.c (NsfParseArgsCmd): Reduce debugging output
	[eef40b99]

2019-10-08  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* Makefile.in: Avoid pathnames as targets and target dependencies,
	as they may break make in presence of colons or whitespaces in
	pathnames as set by autoconf (e.g.,
	--prefix=/data/bin-2019-10-04:19:39:35 or
	--exec-prefix=/tmp/data/bin-2019-10-04:19:39:35). Thanks to Héctor
	Romojaro for reporting. [8eebb7d3]

	* nsf.c, testx.xotcl: Substitute tab-based indentation (1x) for
	space-based one (8x) for 'required argument' error msg. [5a31aba4]

2019-10-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, parameters.test: Fix potential crash, whe nsf::parseargs
	is called with a nonempty argspec and empty argv Extended
	regression test to cover such cases. [f69d5326]

2019-10-05  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* gentclAPI.tcl: Add missing EXTERN declarations
	[37833d29]

	* nsf.c, nx-bi.test, contains.test, disposition.test,
	method-parameter.test, nsf-cmd.test, tcl86.test: typographic
	changes, most prominently, more consistent comma settings
	https://onlinewritingtraining.com.au/however-therefore-furthermore/
	[9e281d51]

2019-09-27  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c: Remove "default" from fully initialized
	switches. initialize variable to slience compiler warnings
	[3493340e]

2019-09-23  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* Object.man, nsfAccessInt.h, webserver.xotcl, htmllib.xotcl,
	makeDoc.xotcl, destroy.test, doc.test, info-method.test,
	methods.test, object-system.test, protected.test, tcloo.test:
	Improve spelling [8024df76]

	* tcl.m4: Use newer m4 file [a4a0ad0e, 7792a2a9]

	* nsf.c: Remove redundant test [d32646c8]

2019-08-20  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c: Fix indentation [83d91f91]

2019-08-20  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nsf.c (NSDeleteChildren): Remove redundant check on
	NSDeleteChild, leading to endless loop. [84a79b3f]

	* appveyor.yml: Fix MinGW, ultimate attempt, long story
	[5c433a50]

2019-08-20  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, nsf.h, nsfInt.h, nsfStack.c: Avoid dangerous and
	potentially recursive macro definition "pure"
	[7ad03f0f]

2019-08-19  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* appveyor.yml: Fix MAKE, Nth attempt [0ac89591..df7f1017]

2019-08-16  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, nsfAccessInt.h (FilterAddActive, ProcDispatchFinalize,
	CallForwarder): Fix compilation issues with recent version of the
	Tcl core-8.branch (aka newest Tcl 8.7 branch)
	[8f7c25f9]

2019-08-13  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* *.log, nx-zip.tcl, get-regression-nb.xotcl, Httpd.xotcl,
	parameters.test, tcloo.test: Improve spelling [3c7374ae]

2019-08-10  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* Class.3, Class.man, tutorial2.html: Improve spelling [f817725e]

2019-08-09  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* doc/example-scripts/*.html: Improve spelling [f35ab630]

2019-08-08  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c: Don't preallocate elements in Tcl_NewListObj with 2nd arg
	NULL (deprecated) nsf::__db_get_obj: make sure, the returned dict
	is valid [febe765f]

2019-08-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, nx.tcl, object-system.test: Enable temporary debugging
	output to investigate AppVeyor build failures
	[1e698728, 9e6766c4, 63c904a4, 8e725616, faa3eeb7]

2019-08-05  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsfShadow.c (Nsf_RenameObjCmd, Nsf_InfoBodyObjCmd): Fix
	shadowing of variable names [114f2ea7]

	* Makefile.in: fine-tuning of gcc warnings [89894f47]

	* Serializer.xotcl: Fix version number [c1612273]

2019-07-21  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* tests/submethods.test: Test for various conditions of unknown
	handling for ensemble methods of varying depth; also covers the
	crash condition reported on c.l.t, introduced with [156a37f] [37735fae]

2019-07-21  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (NextSearchAndInvoke): Fix but on top-level shell on
	unknown ensemble submethods [5368627b]

2019-07-07  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* nx.tcl, pkgIndex.tcl: Fix version number to include patch level:
	x.y.z [31adfd57]

	* properties.test: Add a case to test for the bug on
	cget/configure NsfFlagObjType sharing [13ac2740]

2019-07-06  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.h: Let developer control NDEBUG via Makefile (Tcl seems to define it nowadays)
	[1fb16685]

	* nsf.c (ArgumentParse): Fix for a caching bug reported by Manfred
	Stelzhammer at comp.lang.tcl. See
	https://groups.google.com/g/comp.lang.tcl/c/F9cn_Ah4js4/m/eL22xbQaCgAJ
	[94a8ea7c]; improve cleanness of compilation
	[172a32e2];improve fall-through markup for case statements [3a4c6144]

2019-06-26  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* appveyor.yml: Fix tclkit URL for win.
	[2b4d1bca]

2019-06-19  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* apps/build.tcl: Fallback to curl, in case we run under a
	non-TLS-enabled Tcl environment.
	[cc4c9b92]

2019-06-17  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* .travis.yml, apps/build.tcl, appveyor.yml: Fix build environment
	to be able to fetch Tcl tarballs via https; updated tclkits for
	linux, macos, and win. [1544e5c0]

2019-06-16  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c, nsf.h, nsfFunPtrHashTable.c, nsfInt.h: Silence gcc7+ by
	using attribute-based approach for denoting fall through in case
	statements [ec5702da]

2019-05-25  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c: Code gardening (make unused argument explicitly as
	unused, cleanness of compilation when compiled without threads)
	[937c6deb, 51302024]

	* library/mongodb/pkgIndex.add: Fix missed version bump
	[641f75e3]

	* nsf.c (ObjectSystemsCleanup): Fix endless loop at exit, when
	compiled without thread support. Many thanks to Pavel Demin for
	reporting this bug. [8dbedb9a]

2019-05-14  Gustaf Neumann  <neumann@wu-wien.ac.at>

	* nsf.c (NsfUnsetTrace): Eliminate TCL_INTERP_DESTROYED flag (as
	suggested by TIP #543) [e2349563]

2019-05-13  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* configure.ac, library/mongodb/configure.ac, nx-mongo.tcl,
	nx.tcl, nx/pkgIndex.tcl, serialize/pkgIndex.tcl,
	serialize/serializer.tcl, xotcl/library/pkgIndex.tcl,
	xotcl/library/xotcl2.tcl: Bump version number to 2.4.0 	[39197485,
	c80b57b9]

        * .travis.yml, appveyor.yml: Update branch settings in CI
	descriptors, Added CI entries to README.release
	[8c195577, 717b102a]

2019-05-12  Stefan Sobernig  <stefan.sobernig@wu.ac.at>

	* .travis.yml, appveyor.yml: Update branch settings in CI
	descriptors [4ee2e547]
